strvalidator
============

STR-validator is a free and open source R-package intended for process control
and internal validation of forensic STR DNA typing kit.
Its graphical user interface simplifies the analysis of data exported from e.g.
GeneMapper software, without extensive knowledge about R. It provides 
functions to import, view, edit, and export data. After analysis the results,
generated plots, heat-maps, and data can be saved in a project for easy access.
Currently, analysis modules for stutter, balance, dropout, mixture, concordance,
typing result, precision, and pull-up are available. In addition there are
functions to analyse the GeneMapper bins- and panels files. EPG like plots can
be generate from data. STR-validator can greatly increase the speed of 
validation by reducing the time and effort needed to analyse the validation
data. It allows exploration of the characteristics of DNA typing kits according
to ENFSI recommendations. This facilitates the implementation of probabilistic
interpretation of DNA results.

STR-validator is written and maintained by Oskar Hansson, senior forensic
scientist at the Norwegian Institute of Public Health (NIPH), Department of
Forensic Biology. The work has received external funding from the European
Union seventh Framework Programme (FP7/2007-2013) under grant agreement no
285487 (EUROFORGEN-NoE) but development and maintenance is now performed as 
a part of my position at NIPH, and on personal spare time.

More information can be found at:
https://sites.google.com/site/forensicapps/strvalidator

Info and user community at Facebook:
https://www.facebook.com/pages/STR-validator/240891279451450?ref=tn_tnmn

The source code is hosted at GitHub:
https://github.com/OskarHansson/strvalidator

Please report bugs to:
https://github.com/OskarHansson/strvalidator/issues
